Skip to main content

Get an invoice by ID

GEThttps://api.propexo.com/v1/invoices/:invoice_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

invoice_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the invoice

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/billsInvoices
    Example: 5beac69b-af05-11ec-b98f-sfsd32
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v0/billsInvoices
    Example: sdfs23-af05-sdfs4-b98f-dfg5453
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_vendor_idnullrequired

    The external ID of the vendor from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_financial_account_idnullrequired

    The external ID of the financial account from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_cash_financial_account_idnullrequired

    The external ID of the cash financial account from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_ap_financial_account_idnullrequired

    The external ID of the AP financial account from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the invoice, in cents

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_paid_in_centsnullrequired

    The amount paid on the invoice, in cents

    Notice

    This field will always be null for APPFOLIO

    Example: null
    custom_data object | nullrequired
    object
    due_datestring | nullnullablerequired

    The due date associated with the invoice

    MethodInterface
    /v0/billsInvoices
    Example: 2024-03-03T00:00:00.000Z
    discount_amount_in_centsnullrequired

    The deposit amount in cents associated with the invoice

    Notice

    This field will always be null for APPFOLIO

    Example: null
    discount_datenullrequired

    The date a discount was issued on invoice

    Notice

    This field will always be null for APPFOLIO

    Example: null
    invoice_datestring | nullnullablerequired

    The date the invoice was issued

    MethodInterface
    /v0/billsInvoices
    Example: 2024-03-03T00:00:00.000Z
    invoice_numberstring | nullnullablerequired

    The reference number for the invoice

    MethodInterface
    /v0/billsInvoices
    Example: BV-13-34
    notesstring | nullnullablerequired

    Notes associated with the invoice

    MethodInterface
    /v0/billsInvoices
    Example: Cleaning
    post_datenullrequired

    The date the invoice was posted. Some PMS systems only show the month.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    post_monthnullrequired

    The month the invoice was posted.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    post_status_rawstring | nullnullablerequired

    The raw post status associated with the invoice

    MethodInterface
    /v0/billsInvoices
    Example: Pending Approval
    sub_total_amount_in_centsnullrequired

    The sub total amount of the invoice

    Notice

    This field will always be null for APPFOLIO

    Example: null
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice, in cents

    MethodInterface
    /v0/billsInvoices
    Example: 67890
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idnullrequired

    The Propexo unique identifier for the financial account

    Notice

    This field will always be null for APPFOLIO

    Example: null
    cash_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the cash financial account

    MethodInterface
    /v0/billsInvoices
    Example: 28858788-1306-4f00-8e8f-45136d5b4516
    ap_financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the ap financial account

    MethodInterface
    /v0/billsInvoices
    Example: f87c46f7-45ef-45a6-8a08-3815a5dfc41d
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum13required

    The property management system of record

    Show 13 enum values
    APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: APPFOLIO
    invoice_items object[]required

    The invoice list items associated with the invoice

  • Array [
  • x_idstringrequired

    The external ID from the integration vendor

    MethodInterface
    /v0/billsInvoices
    Example: 5beac69b-af05-11ec-b98f-02adc9d8d6b4
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    MethodInterface
    /v0/billsInvoices
    Example: 3123das-af05-11ec-b98f-2342zdfsfs
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for APPFOLIO

    Example: null
    x_gl_account_idstring | nullnullablerequired

    The external ID of the financial account from the integration vendor

    MethodInterface
    /v0/billsInvoices
    Example: 83e741b6-df1f-428a-a3cc-f0d2d35f255f
    x_cash_financial_account_idnullrequired

    The external ID of the cash financial account from the integration vendor

    Notice

    This field will always be null for APPFOLIO

    Example: null
    invoice_idstringrequired

    The Propexo unique identifier for the invoice

    MethodInterface
    /v0/billsInvoices
    Example: cmellpu5s000008jyfjn23lh5
    construction_job_idnullrequired

    The Propexo unique identifier for the construction job

    Notice

    This field will always be null for APPFOLIO

    Example: null
    amount_due_in_centsnullrequired

    The amount due on the invoice item, in cents

    Notice

    This field will always be null for APPFOLIO

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the invoice item

    MethodInterface
    /v0/billsInvoices
    Example: This is a note
    total_amount_in_centsnumber | nullnullablerequired

    The amount of the invoice item, in cents

    MethodInterface
    /v0/billsInvoices
    Example: 67890
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    financial_account_idstring | nullnullablerequired

    The Propexo unique identifier for the financial account

    MethodInterface
    /v0/billsInvoices
    Example: cmgs5dja129765299571ujsjbo1fs6fuh
    cash_financial_account_idnullrequired

    The Propexo unique identifier for the cash financial account

    Notice

    This field will always be null for APPFOLIO

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/invoices/:invoice_id
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "5beac69b-af05-11ec-b98f-sfsd32",
"x_property_id": "sdfs23-af05-sdfs4-b98f-dfg5453",
"x_location_id": null,
"x_vendor_id": null,
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": null,
"custom_data": "Unknown Type: object,null",
"due_date": "2024-03-03T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": null,
"invoice_date": "2024-03-03T00:00:00.000Z",
"invoice_number": "BV-13-34",
"notes": "Cleaning",
"post_date": null,
"post_month": null,
"post_status_raw": "Pending Approval",
"sub_total_amount_in_cents": null,
"total_amount_in_cents": 67890,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": "28858788-1306-4f00-8e8f-45136d5b4516",
"ap_financial_account_id": "f87c46f7-45ef-45a6-8a08-3815a5dfc41d",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "APPFOLIO",
"invoice_items": [
{
"x_id": "5beac69b-af05-11ec-b98f-02adc9d8d6b4",
"x_property_id": "3123das-af05-11ec-b98f-2342zdfsfs",
"x_location_id": null,
"x_gl_account_id": "83e741b6-df1f-428a-a3cc-f0d2d35f255f",
"x_cash_financial_account_id": null,
"invoice_id": "cmellpu5s000008jyfjn23lh5",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "This is a note",
"total_amount_in_cents": 67890,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cmgs5dja129765299571ujsjbo1fs6fuh",
"cash_financial_account_id": null
}
]
}
}